Page MenuHomePhabricator

Enable Reply Tool as Beta Feature on "Phase 1" wikis
Closed, ResolvedPublic

Description

This task is about enabling the Reply Tool as a Beta Feature on the next set of Wikipedias.

Background

On 31-March-2020, version 1.0 of the new Replying tool [1] became available as a Beta Feature on our four partner Wikipedias: Arabic, Dutch, French and Hungarian.

In the time since, people from 8 different projects have requested the Reply Tool be enabled on their wikis.

This task is about deploying the Reply Tool to these wikis.

Wikis requesting Reply Tool

Below is a list of the Wikipedias who have requested the Reply Tool be enabled.

WikipediaLanguage code
Chinesezh
Czechcs
Serbiansr
Georgianka
Sorani Kurdishckb
Swedishsv
Catalanca
Koreanko

Required steps

StepDescriptionOwner(s)TicketStatus
1.Decide on list of wikis@ppelberg + @Whatamidoing-WMFT251197See: "Wikis requested Reply Tool" above
2.Confirm wikis' demand for Reply Tool@Whatamidoing-WMFT251197See T251197#6366719
3.Agree with wikis about where Editing and wiki will communicate [3]@Whatamidoing-WMFPages should be linked in Column H of the Reply Tools sheet here: Talk pages project/ScalingSee T251197#6366719
4.If required, confirm community consents to deploymentVolunteer-led---Not applicable
5.Configure toolEditing Engineering---No additional configuration is needed per conversation with Editing Engineering on 31-July
6.Test Reply Tool at local wikis@RyasmeenT259769✅Testing is done; ⏳identifying issues is in progress
7.Deploy Reply Tool to "Wikis requesting" Reply Tool"Editing EngineeringT259574See T259574#6366623
8.Announce Reply Tool is available as Beta Feature@Whatamidoing-WMFT259772

Open questions

  • 1. Where does the "Reply" revision tag link to default?
  • 2. Where does the "Share feedback about this feature" link to by default?

Done

  • All "Open questions" are answered
  • All "Required steps" are completed

  1. The first tool developed and deployed as part of the Talk pages project
  2. https://office.wikimedia.org/wiki/Talk:Community_Relations_Specialists/Audiences/DiscussionTools
  3. Where "communication" means thins like: new features, deployments, bugs and community feedback

Event Timeline

Jdforrester-WMF changed the task status from Open to Stalled.Apr 27 2020, 9:24 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

All of these are stalled awaiting a decision by the team, per @ppelberg.

ppelberg renamed this task from Enable DiscussionTools on wikis requesting them. to Enable DiscussionTools on wikis requesting them.Apr 27 2020, 10:19 PM

Next steps

  • @ppelberg to communicate our plan for scaling DT to the next cohort of projects. This plan should include a checklist of what needs to be true before DT can be enabled.
ppelberg added a subscriber: Ryasmeen.

Next steps

  • @ppelberg to communicate our plan for scaling DT to the next cohort of projects. This plan should include a checklist of what needs to be true before DT can be enabled.

I've updated the task description with steps @Whatamidoing-WMF came up with during the meeting we had on 23-July.

ppelberg renamed this task from Enable DiscussionTools on wikis requesting them to Enable DiscussionTools on "Phase 1" wikis.Jul 30 2020, 11:24 PM
ppelberg renamed this task from Enable DiscussionTools on "Phase 1" wikis to Enable Reply Tool on "Phase 1" wikis.Jul 30 2020, 11:44 PM
ppelberg updated the task description. (Show Details)

Task description update
I've updated the task description to make sure it reflects the decisions @Whatamidoing-WMF have come to.

ppelberg updated the task description. (Show Details)

Task description update
I've updated the "Required steps" section with the ticket where the config change will be implemented:

7.Deploy Reply Tool to "Wikis requesting" Reply Tool"Editing EngineeringT259574
ppelberg updated the task description. (Show Details)

Task description update

  1. I've updated the "Required steps" table with the ticket where QA will happen:
6.Test Reply Tool at local wiki@RyasmeenT259769
  1. I've added the following to the "Required steps table:
8.Announce Reply Tool is available as Beta Feature@Whatamidoing-WMFT259772

Next steps
Pending answers to the below, we will make the Reply Tool available as a Beta Feature at the Phase 1 wikis tomorrow. This information has been communicated on the ticket (T259574) where the work to make the tool available will happen.

2.Confirm wikis' demand for Reply Tool@Whatamidoing-WMFT251197⏳In progress
  • @Whatamidoing-WMF, have volunteers at any of our Phase 1 wikis identified issues (software or otherwise) that should block the Reply Tool from being deployed as a Beta Feature?
3.Agree with wikis about where Editing and wiki will communicate [3]@Whatamidoing-WMFPages should be linked in Column H of the Reply Tools sheet here: Talk pages project/Scaling
  • @Whatamidoing-WMF, can you confirm the pages linked in in Column H of the Reply Tools sheet in the Talk pages project/Scaling workbook are the pages where we will be communicating with our Phase 1 wikis [for now] about the Reply Tool ?
ppelberg renamed this task from Enable Reply Tool on "Phase 1" wikis to Enable Reply Tool as Beta Feature on "Phase 1" wikis.Aug 6 2020, 2:27 AM

I've tested out the reply links on the new wikis, on the pages linked in the spreadsheet.

Notes:

  • @Whatamidoing-WMF, have volunteers at any of our Phase 1 wikis identified issues (software or otherwise) that should block the Reply Tool from being deployed as a Beta Feature?

No. You've seen the kowiki questions, but these are known limitations (e.g., inability to detect signatures that put the date stampe in front of the username). There are no blockers and no requests for delay.

  • @Whatamidoing-WMF, can you confirm the pages linked in in Column H of the Reply Tools sheet in the Talk pages project/Scaling workbook are the pages where we will be communicating with our Phase 1 wikis [for now] about the Reply Tool ?

Yes. The linked (village pump) pages are where all of these conversations are happening. So far, there have been positive replies at all of the Wikipedias except the Chinese Wikipedia (no replies there).

  • @Whatamidoing-WMF, have volunteers at any of our Phase 1 wikis identified issues (software or otherwise) that should block the Reply Tool from being deployed as a Beta Feature?

No. You've seen the kowiki questions, but these are known limitations (e.g., inability to detect signatures that put the date stampe in front of the username). There are no blockers and no requests for delay.

  • @Whatamidoing-WMF, can you confirm the pages linked in in Column H of the Reply Tools sheet in the Talk pages project/Scaling workbook are the pages where we will be communicating with our Phase 1 wikis [for now] about the Reply Tool ?

Yes. The linked (village pump) pages are where all of these conversations are happening. So far, there have been positive replies at all of the Wikipedias except the Chinese Wikipedia (no replies there).

Wonderful. Thank you for confirming, Sherry. I've updated the task description's "Required steps" section to reflect the above.

Task description update

  • Updated the "Required steps" section to reflect the current status of this task. What's left todo: